
QGIS Application - Bug report #576

Measuring tool -- the measured distances are changing chaotically and the numbers are a way off

2007-02-07 04:25 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10635

Description

I've build the qgis 0.8 on a fc6 system and I've encountered the same problems with measuring tool as described in the 

https://svn.qgis.org/trac/ticket/449 -- the measured distances are changing chaotically and the numbers are a way off.

In attechments find the layer. The projection should be Projected Coordinate systems/Krovak oblique/S-JTSK. There are three profiles on

this layer and the middle one should be 620 metres long. "On the fly" projection is enabled. Measuring tool has a wrong measurements,

the scale bar seems to show the length right.

History

#1 - 2007-02-08 08:33 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Compiling 0.8 branch with proj 4.4.9 and gdal 1.3.1, the proj4 string was not recognized as valid.

Compiling 0.8 branch with proj 4.5.0 and gdal 1.4.0, the proj4 string was recognized as valid.

The latest gdal/proj can be downloaded from http://fwtools.maptools.org/

Please note that in 0.8, measurements does not work reliably with projection turned off, but it should do in 0.9. Could you see if it works for you?

#2 - 2007-02-13 05:24 AM - Redmine Admin

I have upgraded gdal 1.3.2 with the 1.4.0 version and the measuring tool now works fine. Proj is in version 4.5.0, qgis 0.8.

Thanks.

#3 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted

Files

profily.dbf 101 Bytes 2007-02-07 Redmine Admin

profily.shp 412 Bytes 2007-02-07 Redmine Admin

profily.shx 124 Bytes 2007-02-07 Redmine Admin
